libxr — developer's documentation

- Main Page
- Related Pages
- Data Structures
- Files

_xr_debug
xr_debug
xr_debug_enabled
xr_fini
xr_init
xr_trace

#define xr_trace | ( |  | mask,
|  |  | fmt,
|  |  | args...
| ) |  | do { if (G_UNLIKELY(xr_debug_enabled & mask)) _xr_debug(G_STRFUNC, fmt, ## args); } while(0)

Conditional trace message.

Parameters

  mask | XR_DEBUG_* constant that enables this message.
  fmt | Message format (printf like).
  args | Variable arguments.

Documentation for libxr, Fri Apr 15 2016 08:12:18.